## krunner 5.50.0

=== debian/changelog ===
krunner (5.50.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.50.0)

  [ José Manuel Santamaría Lema ]
  * Set XDG_DATA_DIRS for testsuite autopkgtest

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:01 +0100

krunner (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:11 +0100

krunner (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - keep /usr/share/dbus-1/interfaces/kf5_org.kde.krunner1.xml in the -dev
      package, in strict compliance with Debian's Policy section 8

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:21 +0100

krunner (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: run inside a dbus-run-session
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:11 +0200

krunner (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:30 +0100

krunner (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:48 +0200

krunner (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:10 +0100

krunner (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:51 +0100

krunner (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:20 +0100

krunner (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:19 +0100

krunner (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Disable auto tests at build time
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:52 -0300

krunner (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:47:50 +0000

krunner (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:00 +0000

krunner (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:46:47 +0000

krunner (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:31:48 +0000

krunner (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:45 +0200

krunner (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5runner-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:09 +0200

krunner (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:16:28 +0000

krunner (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Jonathan Riddell ]
  * cmakelint

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:56 +0200

krunner (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:13:58 +0000

krunner (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:37:47 +0000

krunner (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:39:05 +0000

krunner (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:24:54 +0000

krunner (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:23:11 +0000

krunner (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:41:38 +0000

krunner (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:43:17 +0000

krunner (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:09:03 +0000



=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5solid-dev (>= 5.50.0~),
               libkf5threadweaver-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner

Package: libkf5runner-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.50.0~),
         libkf5plasma-dev (>= 5.50.0~),
         libkf5runner5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.50.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5runner-doc (= ${source:Version})
Breaks: kapptemplate (<= 4:16.04)
Replaces: kapptemplate (<= 4:16.04)
Description: development files for krunner
 An assortment of text-related widgets.
  .
 Contains development files for krunner.

Package: libkf5runner-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

## krunner 5.54.0

=== src/CMakeLists.txt ===
add_subdirectory(declarative)

set (KF5Runner_SRCS
    abstractrunner.cpp
    dbusrunner.cpp
    runnerjobs.cpp
    querymatch.cpp
    runnercontext.cpp
    runnermanager.cpp
    runnersyntax.cpp)
ecm_qt_declare_logging_category(KF5Runner_SRCS HEADER krunner_debug.h IDENTIFIER KRUNNER CATEGORY_NAME org.kde.krunner)
set_property(SOURCE "data/org.kde.krunner1.xml" PROPERTY INCLUDE dbusutils_p.h)

add_library(KF5Runner
    ${KF5Runner_SRCS})

generate_export_header(KF5Runner BASE_NAME KRunner)
add_library(KF5::Runner ALIAS KF5Runner)

target_include_directories(KF5Runner INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KRunner>")
target_include_directories(KF5Runner PUBLIC "$<BUILD_INTERFACE:${KRunner_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>")


target_link_libraries(KF5Runner
    PUBLIC
        Qt5::Core
        KF5::Plasma # Must be public because abstractrunner.h needs plasma/version.h
    PRIVATE
        Qt5::DBus
        Qt5::Gui
        Qt5::Widgets
        KF5::ConfigCore
        KF5::Service
        KF5::I18n
        KF5::ThreadWeaver
        KF5::CoreAddons #KShell
        KF5::KIOCore #KProtocolInfo
)

set_target_properties(KF5Runner
    PROPERTIES VERSION ${KRUNNER_VERSION_STRING}
    SOVERSION 5
    EXPORT_NAME "Runner"
)

ecm_generate_headers(KRunner_CamelCase_HEADERS
  HEADER_NAMES
    AbstractRunner
    RunnerContext
    RunnerManager
    RunnerSyntax
    QueryMatch

    PREFIX KRunner
    REQUIRED_HEADERS KRunner_HEADERS
)

# Install files

install(TARGETS KF5Runner
        EXPORT KF5RunnerTargets
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${KRunner_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KRunner/KRunner
        COMPONENT Devel)

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/krunner_export.h
            ${KRunner_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KRunner/krunner
        COMPONENT Devel)

install(FILES
   data/servicetypes/plasma-runner.desktop
   DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_custom_target(copy_servicetypes)
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
add_custom_command(TARGET copy_servicetypes PRE_BUILD COMMAND
    ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/data/servicetypes/plasma-runner.desktop
    ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
add_dependencies(KF5Runner copy_servicetypes)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Runner_QCH
        NAME KRunner
        BASE_NAME KF5Runner
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KRunner_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            KRUNNER_EXPORT
            KRUNNER_DEPRECATED
            KRUNNER_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KRunner LIB_NAME KF5Runner DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/KRunner)
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(FILES
   "data/org.kde.krunner1.xml"
   DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
   RENAME kf5_org.kde.krunner1.xml)

=== debian/changelog ===
krunner (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:10 -0300

krunner (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Remove the unused debian/meta/cmake-ignore, and debian/not-installed files.
  * Remove the 'testsuite' autopkgtest: other than failing, it is not even
    testing the installed version of this framework but the newly-built one
    (Closes: #913457)
    - disable the build of unit tests, since they are not run at build time
      anyway: pass -DBUILD_TESTING=OFF to cmake
  * Update lintian overrides.
  * Add Build-Depends-Package in symbols file.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Nov 2018 07:49:27 +0100

krunner (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:13 +0100

krunner (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:53 +0200

krunner (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:39 +0200

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.41.0~),
               libkf5threadweaver-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 5.54.0~),
         libkf5plasma-dev (>= 5.54.0~),
         libkf5runner5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.54),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Breaks: kapptemplate (<= 4:16.04)
Replaces: kapptemplate (<= 4:16.04)
Recommends: libkf5runner-doc (= ${source:Version})
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf5runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

## krunner 5.56.0

=== debian/changelog ===
krunner (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:19 +0000

krunner (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:42 +0000

krunner (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:10 +0000

krunner (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:46 +0000

krunner (5.52.0-0ubuntu1) disco; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fix libkf5runner-dev description, fixes lintian warning description-
    contains-invalid-control-statement
  * New upstream release (5.52.0)

  [ Rik Mills ]
  * New upstream release (5.51.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,41 +3,41 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
-               libkf5config-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5solid-dev (>= 5.41.0~),
-               libkf5threadweaver-dev (>= 5.54.0~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5coreaddons-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5plasma-dev (>= 5.56.0~),
+               libkf5service-dev (>= 5.56.0~),
+               libkf5solid-dev (>= 5.56.0~),
+               libkf5threadweaver-dev (>= 5.56.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/krunner
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 
 Package: libkf5runner-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: extra-cmake-modules (>= 5.54.0~),
-         libkf5plasma-dev (>= 5.54.0~),
+Depends: extra-cmake-modules (>= 5.55.0~),
+         libkf5plasma-dev (>= 5.55.0~),
          libkf5runner5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.54),
-         qtbase5-dev (>= 5.9.0~),
+         libkf5windowsystem-dev (>= 5.55.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
+Recommends: libkf5runner-doc (= ${source:Version})
 Breaks: kapptemplate (<= 4:16.04)
 Replaces: kapptemplate (<= 4:16.04)
-Recommends: libkf5runner-doc (= ${source:Version})
 Description: development files for krunner
  An assortment of text-related widgets.
  .
@@ -46,6 +46,7 @@
 Package: libkf5runner-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Used to write plugins loaded at runtime called "Runners" (documentation)
  Launcher built into the Plasma desktop. While its
@@ -55,7 +56,6 @@
  to accomplish a lot of tasks.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5runner5
 Architecture: any

## krunner 5.62.0

=== debian/changelog ===
krunner (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:08:29 +0100

krunner (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:11 +0100

krunner (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:17:38 +0100

krunner (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:20:47 +0100

krunner (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:41:53 +0100

krunner (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
-               libkf5config-dev (>= 5.56.0~),
-               libkf5coreaddons-dev (>= 5.56.0~),
-               libkf5i18n-dev (>= 5.56.0~),
-               libkf5kio-dev (>= 5.56.0~),
-               libkf5plasma-dev (>= 5.56.0~),
-               libkf5service-dev (>= 5.56.0~),
-               libkf5solid-dev (>= 5.56.0~),
-               libkf5threadweaver-dev (>= 5.56.0~),
+               libkf5config-dev (>= 5.62.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.62.0~),
+               libkf5kio-dev (>= 5.62.0~),
+               libkf5plasma-dev (>= 5.62.0~),
+               libkf5service-dev (>= 5.62.0~),
+               libkf5solid-dev (>= 5.62.0~),
+               libkf5threadweaver-dev (>= 5.62.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
@@ -29,10 +29,10 @@
 Package: libkf5runner-dev
 Architecture: any
 Section: libdevel
-Depends: extra-cmake-modules (>= 5.55.0~),
-         libkf5plasma-dev (>= 5.55.0~),
+Depends: extra-cmake-modules (>= 5.62.0~),
+         libkf5plasma-dev (>= 5.62.0~),
          libkf5runner5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.55.0~),
+         libkf5windowsystem-dev (>= 5.62.0~),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5runner5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, dbus
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## krunner 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KRunner VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)
include(ECMQtDeclareLoggingCategory)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KRUNNER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
)

# Dependencies
set(REQUIRED_QT_VERSION 5.12.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui Widgets Quick)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Plasma ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ThreadWeaver ${KF5_DEP_VERSION} REQUIRED)

set(KRunner_AUTOMOC_MACRO_NAMES "K_EXPORT_PLASMA_RUNNER" "K_EXPORT_RUNNER_CONFIG")
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
    # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
    # 3.10+ lets us provide more macro names that require automoc.
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES ${KRunner_AUTOMOC_MACRO_NAMES})
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DPLASMA_DISABLE_DEPRECATED_BEFORE_AND_AT=0x050500) # needed because we use Plasma::Package in the API
add_definitions(-DQT_NO_FOREACH)

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Runner")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Runner_QCH
        FILE KF5RunnerQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5RunnerQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5RunnerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5RunnerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5RunnerTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,30 @@
     runnercontext.cpp
     runnermanager.cpp
     runnersyntax.cpp)
-ecm_qt_declare_logging_category(KF5Runner_SRCS HEADER krunner_debug.h IDENTIFIER KRUNNER CATEGORY_NAME org.kde.krunner)
+ecm_qt_declare_logging_category(KF5Runner_SRCS
+    HEADER krunner_debug.h
+    IDENTIFIER KRUNNER
+    CATEGORY_NAME org.kde.krunner
+    DESCRIPTION "KRunner"
+    EXPORT KRUNNER
+)
 set_property(SOURCE "data/org.kde.krunner1.xml" PROPERTY INCLUDE dbusutils_p.h)
 
 add_library(KF5Runner
     ${KF5Runner_SRCS})
+add_library(KF5::Runner ALIAS KF5Runner)
+ecm_generate_export_header(KF5Runner
+    BASE_NAME KRunner
+    GROUP_BASE_NAME KF
+    VERSION ${KF5_VERSION}
+    DEPRECATED_BASE_VERSION 0
+    DEPRECATION_VERSIONS 5.28
+    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+)
 
-generate_export_header(KF5Runner BASE_NAME KRunner)
-add_library(KF5::Runner ALIAS KF5Runner)
-
+set(KRunner_BUILD_INCLUDE_DIRS ${KRunner_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
 target_include_directories(KF5Runner INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KRunner>")
-target_include_directories(KF5Runner PUBLIC "$<BUILD_INTERFACE:${KRunner_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
+target_include_directories(KF5Runner PUBLIC "$<BUILD_INTERFACE:${KRunner_BUILD_INCLUDE_DIRS}>")
 
 
 target_link_libraries(KF5Runner
@@ -83,6 +96,13 @@
     ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
 add_dependencies(KF5Runner copy_servicetypes)
 
+ecm_qt_install_logging_categories(
+    EXPORT KRUNNER
+    FILE krunner.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
+
 if(BUILD_QCH)
     ecm_add_qch(
         KF5Runner_QCH
@@ -95,10 +115,15 @@
         MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
         LINK_QCHS
             Qt5Core_QCH
+        INCLUDE_DIRS
+            ${KRunner_BUILD_INCLUDE_DIRS}
         BLANK_MACROS
             KRUNNER_EXPORT
             KRUNNER_DEPRECATED
             KRUNNER_DEPRECATED_EXPORT
+            "KRUNNER_DEPRECATED_VERSION(x, y, t)"
+        PREDEFINED_MACROS
+            "PLASMA_ENABLE_DEPRECATED_SINCE(x, y)=1"
         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         COMPONENT Devel

=== src/declarative/CMakeLists.txt ===
project(runnermodel)

set(runnermodel_SRCS
    runnermodel.cpp
    runnermodelplugin.cpp
    )
ecm_qt_declare_logging_category(runnermodel_SRCS HEADER krunner_debug.h IDENTIFIER KRUNNER CATEGORY_NAME org.kde.krunner)

add_library(runnermodelplugin SHARED ${runnermodel_SRCS})
target_link_libraries(runnermodelplugin
        Qt5::Quick
        Qt5::Qml
        Qt5::Widgets # QAction
        KF5::I18n
        KF5::Service
        KF5Runner
)

install(TARGETS runnermodelplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/runnermodel)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/runnermodel)

=== debian/changelog ===
krunner (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:14 +0000

krunner (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:51:59 +0000

krunner (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:20:49 +0000

krunner (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:01:56 +0000

krunner (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:03 +0000

krunner (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Remove the 'testsuite' autopkgtest.
    - Disable the build of unit tests, since they are not run at build time
      anyway: pass -DBUILD_TESTING=OFF to cmake

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 09:10:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
-               libkf5config-dev (>= 5.62.0~),
-               libkf5coreaddons-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5plasma-dev (>= 5.62.0~),
-               libkf5service-dev (>= 5.62.0~),
-               libkf5solid-dev (>= 5.62.0~),
-               libkf5threadweaver-dev (>= 5.62.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5plasma-dev (>= 5.68.0~),
+               libkf5service-dev (>= 5.68.0~),
+               libkf5solid-dev (>= 5.68.0~),
+               libkf5threadweaver-dev (>= 5.68.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
@@ -29,10 +29,10 @@
 Package: libkf5runner-dev
 Architecture: any
 Section: libdevel
-Depends: extra-cmake-modules (>= 5.62.0~),
-         libkf5plasma-dev (>= 5.62.0~),
+Depends: extra-cmake-modules (>= 5.68.0~),
+         libkf5plasma-dev (>= 5.68.0~),
          libkf5runner5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.62.0~),
+         libkf5windowsystem-dev (>= 5.68.0~),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON
+	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libkf5runner5-dbg (<= 5.19.0-1~~)'

## krunner 5.74.0

=== debian/changelog ===
krunner (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:41 +0100

krunner (5.73.0-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Aug 2020 12:15:46 +0100

krunner (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Drop included upstream-fix-kde-bug-423003.patch
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:59:56 +0100

krunner (5.72.0-0ubuntu2) groovy; urgency=medium

  * Add upstream-fix-kde-bug-423003.patch requested by KDE devs to fix
    Krunner crash with PIM and other plugins.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jul 2020 13:28:36 +0100

krunner (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:34:31 +0100

krunner (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:04 +0100

krunner (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - libkf5runner5 Breaks/Replaces -dev package.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Jun 2020 08:54:58 +0100

krunner (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:38 +0200

krunner (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:33:43 +0100

krunner (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Cleanup Build-Depends.
  * Delete not needed Breaks/Confilcts.
  * Update copyright file.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:58:41 +0200

krunner (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:48 -0700

krunner (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Move qdebug logging categories files
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:01 +0100

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5threadweaver-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
Rules-Requires-Root: no

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: extra-cmake-modules (>= 5.74.0~),
         libkf5plasma-dev (>= 5.74.0~),
         libkf5runner5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Recommends: libkf5runner-doc (= ${source:Version})
Description: development files for krunner
 An assortment of text-related widgets.
 .
 Contains development files for krunner.

Package: libkf5runner-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Used to write plugins loaded at runtime called "Runners" (documentation)
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5runner-dev (<< 5.70.0-1~)
Replaces: libkf5runner-dev (<< 5.70.0-1~)
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.
